Debian Bug report logs - #498380
RFC: Implementing dpkg-vendor and adding vendor handling to dpkg-dev

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Tue, 9 Sep 2008 15:09:05 UTC

Severity: wishlist

Tags: patch

Merged with 498355

Found in versions 1.14.24, dpkg/1.14.22

Fixed in version dpkg/1.15.1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, goswin-v-b@web.de, debian-devel@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#498380; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to goswin-v-b@web.de, debian-devel@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFC: Implementing dpkg-vendor and adding vendor handling to dpkg-dev
Date: Tue, 09 Sep 2008 17:00:33 +0200
[Message part 1 (text/plain, inline)]
Package: dpkg
Version: 1.14.24
Severity: wishlist
Tags: patch

Hi,

during the emDebian meeting in Extremadura we discussed the DEB_VENDOR
variable and how we could make good use of it for emDebian
packages. While discussing it we noticed that DEB_VENDOR, CFLAGS,
CXXFLGAS, LDFLAGS,... will only be set when dpkg-buildpackage is used
but not when debian/rules is invoked directly. Bug #498355 fixes this
for Lenny (to be used by backports from squeeze) and this bug extends
it to full functionality.

Below are the notes from the emDebian work session and attached a
patch for dpkg with a proof-of-concept implementation. Use cases are
described in the notes.

Note that the patch uses the existing /etc/dpkg/origins/ while the
work session uses /usr/share/vendor/ as they are not realy user/admin
configurable files but purely set by the distribution. It also does
not include the "vendor-handling" package.

MfG
	Goswin

============================================================================== 
 
DEB_VENDOR as an alternative to the patch repository 
==================================================== 
 
Currently, emdebian has a massive repository of patches against Debian
packages. We would like to fold these back into Debian proper, without
changing the packages for Debian, so we need a way for a package build
to determine that we are building for emdebian (the same method could
be used for Ubuntu).
 
A wishlist bug for a new variable DEB_VARIANT has been filed against
dpkg-dev some time ago, and has just been accepted (with the name
DEB_VENDOR, which is fine for us) into squeeze's dpkg. While this was
not a requirement for emdebian (as our packages are cross-built, so we
never use the fact that DEB_VENDOR has a host distribution specific
default), it provides us with a standardized interface (for example,
Ubuntu could now use DEB_VENDOR == ubuntu to select the gcc SSP patch
they currently apply when /etc/debian_version says "Ubuntu". This
would allow us to build a "cross" toolchain targetting Ubuntu on
Debian, or vice versa).
 
There is general consensus that there should be some form of
"inheritance" relationship between vendors (emdebian derives from
Debian, individual hardware vendors derive from emdebian), and that a
package that has not been specialized for a particular vendor should
fall back to the closest "parent" vendor's behaviour.
 
The hierarchical "vendor" name space is not generally useful for
controlling package builds, so a middle layer is introduced that
converts the single vendor name into a set of build options in a flat
name space; the debian/rules file is responsible for doing this
resolution. On irc Raphael Hertzog suggested to provide a Makefile in
dpkg-dev and include that in debian/rules. The dpkg-dev Makefile could
then do
 
DEB_VENDOR        ?= $(shell dpkg-vendor -qDEB_VENDOR) 
DEB_BUILD_OPTIONS ?= $(shell dpkg-vendor -qDEB_BUILD_OPTIONS) 
 
cdbs, debhelper and the like could outomatically include that. 

The reason why we require debian/rules to take some action instead of
relying on dpkg-buildpackage is that we can not rely on
dpkg-buildpackage to be used to build. Way too many users invoke
debian/rules <target> directly and that should result in the same
result as via dpkg-buildpackage and higher level tools.
 
If DEB_VENDOR is empty, "debian" is assumed; if DEB_BUILD_OPTIONS is
empty, Debian policy is assumed (this keeps the current concept of
DEB_BUILD_OPTIONS overriding policy).
 
The proposed interface would be the "dpkg-vendor" program, used
directly or indirectly by including the Makefile fragment from
dpkg-dev, would be:
 
dpkg-vendor -q <variable name> queries a variable. If the variable is
set in the environment, the current value is returned, otherwise the
value is deduced from other variables that are set or the default for
the current vendor.
 
As the build options might be dependent on the actual package, the
query for them should be invoked in the top level of a source
package. If called outside (debian/control does not exist), a warning
is printed to stderr and the "generic" options for the vendor
returned; querying DEB_VENDOR is always possible.
 
dpkg-vendor {-p|--parent} <vendor> queries whether the current vendor
has a "parent" of <vendor> or the vendor itself. The return code is 0
(yes) or 1 (no).
 
dpkg-vendor {-i|--is} <vendor> queries whether the current vendor is
the same as <vendor>.
 
A compliant implementation could add a dependency "vendor-handling" to
dpkg-dev, which provides a single file /usr/share/vendors/current that
specifies the "current" vendor.
 
The "vendor-handling" package is built by each vendor (Build-Options:
*), and the implementation provided by Debian copies the DEB_VENDOR
variable provided to the build into this file and makes the package
depend on "vendor-$(DEB_VENDOR)". That way the package can be
recompiled without source changes by every vendor. The reason this
should not be in e.g. base-files is that the sources that have to be
recompiled by every vendor should be minimal. A single vendor could
actually have many vendor repositories based on a common concept with
only a minimal change between them, e.g. compile with soft or hard
floats with everything else based on emdebian.
 
Each "vendor-*" package would also depend on the "parent" vendor's
"vendor-*" package, so inherited options can be looked up by
dpkg-vendor.
 
Proposed syntax for /usr/share/vendor/<name>: 
--------------------------------------------- 
Vendor: Name of vendor
Vendor-URL: Url of vendor
Bugs: url of bug tracking system
Parent: Name of parent if existing 
BUILD_OPTIONS: +add_option -remove_option 
<package>_BUILD_OPTIONS: +add_option -remove_option 
 
The DEB_BUILD_OPTIONS variable is then generated as follows: 
 
1) If already set return variable. 
2) follow the parent till you hit the root 
3) For all options in BUILD_OPTIONS add options prefixed by + to 
   DEB_BUILD_OPTIONS and remove options prefixed by -.  
4) For all options in <package>_BUILD_OPTIONS where package is gotten from 
   debian/control if available add options prefixed by + to 
   DEB_BUILD_OPTIONS and remove options prefixed by -.  
5) backtrack to the child and go back to 3 
  
The resulting DEB_BUILD_OPTIONS variable is returned. 
 
 
Example: 
-------- 
 
Lets look at "TCL" for an example of how the setup would look like. 
 
- vendor-handling is provided by Debian but recompiled by the vendor. The 
  package contains /usr/lib/vendors/current containing $(DEB_VENDOR),
  in this case tcl. No source change needed. 
 
- vendor-emdebian is provided by emDebian and contains 
  /usr/share/vendors/emdebian with a parent of debian.
 
- vendor-tcl is provided by tcl, depends on vendor-emdebian and
  contains /usr/share/vendors/tcl with a parent of emdebian. 
 
- dpkg-dev depends on vendor-handling -> vendor-tcl -> vendor-emdebian -> 
  vendor-debian. Installing dpkg-dev automatically pulls in as much of
  the vendor hierachy as required. DEB_BUILD_OPTIONS would be
  generated by first taking BUILD_OPTIONS from debian (empty), add the
  changes for emdebian (add nodocs) and last the changes for tcl (add
  notls for example).
 
 
 
We would like to get a freeze exception to add a minimal
"/usr/bin/dpkg-vendor" to dpkg-dev that will return the variable
queried with -q if set and "" otherwise and will return false for
-p. This reflects the current behaviour of no dpkg-vendor binary but
will alow squeeze sources to call it unconditionally and still build
without error on lenny.

[NOTE: this was later discussed on irc #dpkg and it was suggested for
dpkg-dev to provide a Makefile fragment for inclusion in debian/rules
instead.]
 
In squeeze the dpkg-vendor can then be properly implemeted to give the
full functionality required for a hirachy of vendors allowing for a
smooth transition. It sucks that every source has to be touched but
there is no other way to make a plain "debian/rules binary" call
behave correctly. And anything else is too error prone.
 
I would also be a good idea to include the DEB_VENDOR and
DEB_BUILD_OPTIONS in effect in the *.changes files so DAK (or other)
can reject packages build for other vendors.
 
 
============================================================================== 



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (400, 'unstable-i386')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-kvm-nofb (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages dpkg depends on:
ii  coreutils                     6.10-6     The GNU core utilities
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  lzma                          4.43-14    Compression method of 7z format in

dpkg recommends no packages.

Versions of packages dpkg suggests:
ii  apt                           0.7.14+b1  Advanced front-end for dpkg

-- no debconf information
[dpkg.squeeze.vendor.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#498380; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 498380@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 498380@bugs.debian.org
Subject: Re: Bug#498380: RFC: Implementing dpkg-vendor and adding vendor handling to dpkg-dev
Date: Tue, 9 Sep 2008 23:44:14 -0500
[Message part 1 (text/plain, inline)]
[Goswin von Brederlow]
> +# dpkg-vendor
> +#
> +# Copyright ?? 2004-2005 Scott James Remnant <scott@netsplit.com>,
> +# Copyright ?? 1999 Marcus Brinkmann <brinkmd@debian.org>.

Is it really?

> +get_vendor() {
> +	if ! [ -z $DEB_VENDOR ]; then
> +		echo "$DEB_VENDOR"

You need "" around $DEB_VENDOR or this will not do what you expect.
Also, [ -n "$foo" ] is simpler than ! [ -z "$foo" ].

> +get_vendor_file() {
> +	if ! [ -z $DEB_VENDOR ]; then
> +	    	grep -l "^Vendor: $DEB_VENDOR$" /etc/dpkg/origins/*

> +get_build_options() {
> +	if ! [ -z $DEB_BUILD_OPTIONS ]; then
> +		echo "$DEB_BUILD_OPTIONS"

> +	if ! [ -z $parent ]; then

Same for these 3 places.
-- 
Peter Samuelson | org-tld!p12n!peter | http://p12n.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#498380; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 498380@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Peter Samuelson <peter@p12n.org>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 498380@bugs.debian.org
Subject: Re: Bug#498380: RFC: Implementing dpkg-vendor and adding vendor handling to dpkg-dev
Date: Wed, 10 Sep 2008 15:39:45 +0200
Peter Samuelson <peter@p12n.org> writes:

> [Goswin von Brederlow]
>> +# dpkg-vendor
>> +#
>> +# Copyright ?? 2004-2005 Scott James Remnant <scott@netsplit.com>,
>> +# Copyright ?? 1999 Marcus Brinkmann <brinkmd@debian.org>.
>
> Is it really?

Cut&paste error.

>> +get_vendor() {
>> +	if ! [ -z $DEB_VENDOR ]; then
>> +		echo "$DEB_VENDOR"
>
> You need "" around $DEB_VENDOR or this will not do what you expect.
> Also, [ -n "$foo" ] is simpler than ! [ -z "$foo" ].

I know I had -n at first and it didn't do what I needed while ! -z
did. Can't remember what special case it was though. Might have been
the difference between "$foo" and $foo, i.e. only whitespaces in $foo.

>> +get_vendor_file() {
>> +	if ! [ -z $DEB_VENDOR ]; then
>> +	    	grep -l "^Vendor: $DEB_VENDOR$" /etc/dpkg/origins/*
>
>> +get_build_options() {
>> +	if ! [ -z $DEB_BUILD_OPTIONS ]; then
>> +		echo "$DEB_BUILD_OPTIONS"
>
>> +	if ! [ -z $parent ]; then
>
> Same for these 3 places.
> -- 
> Peter Samuelson | org-tld!p12n!peter | http://p12n.org/

MfG
        Goswin




Merged 498355 498380. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 18 Nov 2008 08:18:08 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 10 May 2009 15:06:03 GMT) Full text and rfc822 format available.

Message sent on to Goswin von Brederlow <goswin-v-b@web.de>:
Bug#498380. (Sun, 10 May 2009 15:06:06 GMT) Full text and rfc822 format available.

Message #22 received at 498380-submitter@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 498380-submitter@bugs.debian.org
Subject: Bug#498380 marked as pending
Date: Sun, 10 May 2009 15:04:29 +0000
tag 498380 pending
thanks

Hello,

Bug #498380 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=349aeaa

---
commit 349aeaa4f2673678cf09d5a31d4b80db1f534639
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Thu Apr 9 18:07:09 2009 +0200

    dpkg-vendor: new script to query various vendor information
    
    This tool is meant to be used in debian/rules files to have common source
    packages across multiple distributions and yet still have slightly
    different binary packages.
    
    To automatically conserve customizations across derivatives of a given
    distribution, one can use “dpkg-vendor --derives-from vendor” so that all
    derivatives keep the same customizations when they rebuild the source
    package even if the current vendor is no more the same.

diff --git a/debian/changelog b/debian/changelog
index 4038122..604d9f7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -66,6 +66,10 @@ dpkg (1.15.1) UNRELEASED; urgency=low
   * Fix update-alternatives to not remove real files installed in place of
     an alternative link when the corresponding alternative is fully removed.
     Closes: #526538
+  * Add a new dpkg-vendor tool to query vendor information stored in
+    /etc/dpkg/origins. It can be used in debian/rules to enable different
+    behaviour depending on the current vendor at the time of the build.
+    Closes: #498380
 
   [ Guillem Jover ]
   * Fix typo in dpkg output (‘unexecpted’ → ‘unexpected’). Closes: #519082




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 21 May 2009 05:45:09 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Thu, 21 May 2009 05:45:09 GMT) Full text and rfc822 format available.

Message #27 received at 498380-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 498380-close@bugs.debian.org
Subject: Bug#498380: fixed in dpkg 1.15.1
Date: Thu, 21 May 2009 05:32:07 +0000
Source: dpkg
Source-Version: 1.15.1

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.1_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.15.1_all.deb
dpkg_1.15.1.dsc
  to pool/main/d/dpkg/dpkg_1.15.1.dsc
dpkg_1.15.1.tar.gz
  to pool/main/d/dpkg/dpkg_1.15.1.tar.gz
dpkg_1.15.1_amd64.deb
  to pool/main/d/dpkg/dpkg_1.15.1_amd64.deb
dselect_1.15.1_amd64.deb
  to pool/main/d/dpkg/dselect_1.15.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498380@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 May 2009 06:45:45 +0200
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source amd64 all
Version: 1.15.1
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
Closes: 293163 304404 353015 353040 386197 440841 468106 472942 475916 477638 489238 490929 494883 498380 498734 499088 510282 510615 515540 518453 518687 519082 519084 519128 519478 519717 519813 519998 522032 522787 523023 523184 523329 523456 524375 524376 525834 525835 525854 525858 526132 526538 526617 526659 528171
Changes: 
 dpkg (1.15.1) unstable; urgency=low
 .
   [ Raphael Hertzog ]
   * Fix dpkg-genchanges to not include the additional upstream tarballs
     when they are not desired (specific to source packages using format 3.0
     quilt).
   * Call quilt only once to apply all patches instead of once per patch
     when building 3.0 (quilt) source packages. Closes: #518453
   * Fix dpkg-shlibdeps so that it works again when analyzing binaries
     outside of package's directory. Closes: #518687
   * Modify dpkg-shlibdeps to let shlibs.local override symbols files too.
   * Drop support of debian/control's “Format” field used by dpkg-source while
     it's not too late. Instead debian/source/format should be used to indicate
     the desired source package format.
   * Update deb-triggers(5) and dpkg-trigger(1) to add a reference to
     /usr/share/doc/dpkg/triggers.txt.gz. Closes: #519717
   * Avoid perl warnings in dpkg-gencontrol and dpkg-genchanges when the
     Architecture field is missing in a binary package. Closes: #510282
   * Modify Dpkg::Version::check_version() to not die by default.
     Closes: #510615
   * dpkg-source now ignores all possible vi swap file extensions (and not
     only .swp). The corresponding exclude pattern for -I also got tightened to
     only catch filenames starting with a dot. Closes: #515540
   * dpkg-gencontrol displays a better error message when an ORed dependency
     is used in a union field like Conflicts, Replaces or Breaks.
     Closes: #489238
   * dpkg-source's signature check is now done with gpgv if possible and
     timeouts if not completed within 10 seconds. Closes: #490929
     When using gpg, use --no-default-keyring to be consistent with gpgv's
     behaviour to not use the user's keyring. Closes: #440841
   * Update dpkg-dev dependencies: Closes: #472942
     - Move gnupg to Recommends. It's needed to sign .dsc and .changes.
     - Add gpgv to Recommends. Useful to check signatures of extracted packages.
     - Add debian-maintainers to Suggests. Together with debian-keyring they
     contain all the GPG keys required to verify official Debian packages.
   * Drop /etc/dpkg/origins as it's taken over by base-files (see #487437).
   * Fix dpkg-shlibdeps to properly initialize a symbol-based dependency
     even when some symbols are associated with a (fake) version "0". Such a
     version means that the symbol has always existed in all versions of the
     package.
   * When dpkg delegates to dpkg-query or dpkg-deb to do the actual work, add
     the "--" marker to explicitely document the end of options so that
     arguments starting with a dash are not interpreted as options.
     Closes: #293163
     Thanks to Bill Allombert for the patch.
   * dpkg now correctly refuses empty parameters when an integer value is
     wanted. Closes: #386197 Based on a patch by Bill Allombert.
   * Fix a mistake in the french translation of dpkg's manual page.
     Thanks to Jonathan Gibert. Closes: #522032
   * Fix dpkg-source to not die when uncompressor processes are killed by
     SIGPIPE due to tar closing the pipe without exhausting all the data
     available. Closes: #523329
   * dpkg-gencontrol now handles properly (empty) dependencies which contain
     only spaces. Closes: #522787
   * dpkg-source now accepts additional tarballs (in format "3.0 (quilt)")
     with a "component" name containing dashes. Closes: #524376
   * Fix dpkg-source to not complain on binary files that are ignored and are
     not going to be included in the debian tarball of a "3.0 (quilt)" source
     package. Closes: #524375
   * Bump Standards-Version to 3.8.1 (no change required).
   * Do not store usernames and group names in tarballs created by dpkg-source,
     they are anyway ignored at unpack time. Closes: #523184
   * Fix update-alternatives to not remove real files installed in place of
     an alternative link when the corresponding alternative is fully removed.
     Closes: #526538
   * Add a new dpkg-vendor tool to query vendor information stored in
     /etc/dpkg/origins. It can be used in debian/rules to enable different
     behaviour depending on the current vendor at the time of the build.
     Closes: #498380
     Modify dpkg-buildpackage to not set the DEB_VENDOR environment variable,
     packages should use the dpkg-vendor program instead.
   * Ensure that the automatic patch created in format "3.0 (quilt)" is always
     well registered with quilt even when it's updated by a new call to
     dpkg-source. Thanks to Goswin von Brederlow for the initial patch.
     Closes: #525858
   * Do not update/create debian/patches/.dpkg-source-applied during build,
     it's only meant to document what patches have been applied at extraction
     time. Closes: #525835
   * Let dpkg-buildpackage add the missing execute right on debian/rules if
     needed. Display a warning when it happens. Closes: #499088
   * Allow to combine -nc and -S in dpkg-buildpackage but display a warning
     saying that it's not advised. Closes: #304404
   * Let dpkg-buildpackage error out with subprocerr() when dpkg-checkbuilddeps
     is interrupted/killed by a signal. Closes: #498734
   * Fix dpkg-buildpackage/dpkg-genchanges to properly interpret option -v0.
     Closes: #475916
   * Improves how dpkg-parsechangelog handles non-existing versions
     in its --since, --until, --to, --from options. Approximate the intent
     by selectioning the nearest version instead. Closes: #477638
   * Update dpkg-parsechangelog's documentation to make it clearer that spaces
     are not allowed between single characters options and their values.
     Closes: #494883
   * Don't let dpkg-scanpackages complain about missing overrides when
     no overrides file has been given. Closes: #468106
     Thanks to Piotr Engelking for the patch.
 .
   [ Guillem Jover ]
   * Fix typo in dpkg output (‘unexecpted’ → ‘unexpected’). Closes: #519082
     Thanks to Ivan Masár.
   * Sync archtable with architectures currently present in Debian sid.
     - Remove m68k.
     - Add kfreebsd-i386 and kfreebsd-amd64.
   * Add avr32 to cputable. Closes: #523456
   * Detect the curses headers to use instead of hardcoding them.
   * Make dpkg-source do not set arch:any in .dsc on arch-restricted packages.
     Thanks to Philipp Kern <pkern@debian.org>. Closes: #526617
   * Add '.hgtags' to the default dpkg-source -i regex and -I pattern.
     Closes: #525854
   * Use backticks instead of non-portable make $(shell) function in automake.
   * Do not install dselect and start-stop-daemon man pages when the programs
     have been disabled from configure.
   * Move Debian specific keyrings to the Debian vendor class and change the
     Ubuntu vendor class to inherit from it.
   * Do not set the Arch substvar in dpkg-source, avoiding generating warnings
     when there's no compiler present. Closes: #526132
   * Preserve faulting errno when printing reason in start-stop-daemon fatal
     function.
   * Only print fatal errno string in start-stop-daemon if it was non-zero.
   * Print the valid values for the IO scheduler class in start-stop-daemon
     --help output.
   * Print a warning when using obsolete '--print-installation-architecture'.
     Closes: #528171
   * Remove obsolete --largemem and --smallmem dpkg options.
   * Remove obsolete --force-auto-select dpkg option.
   * Remove obsolete priorities support from dpkg.
   * Remove obsolete 822-date program.
   * Do not right justify the database reading progress percent counter.
   * Remove deprecated status on substvars for dpkg-source dpkg-genchanges,
     and stop producing warnings.
   * Make deprecated dpkg-scanpackages --udeb option produce a warning.
   * Change dpkg-source --help output to state there's no default substvar
     file to match reality.
   * Warn in start-stop-daemon if the argument to --name is longer than the
     supported kernel process name size. Closes: #353015, #519128
   * Do not warn in dpkg-deb when parsing unknown fields with the “Private-”
     prefix. Based on a patch by Nils Rennebarth. Closes: #353040
 .
   [ Frank Lichtenheld ]
   * Dpkg::Version: Remove unnecessary function next_elem which just
     replicates the standard shift behaviour.
 .
   [ Colin Watson ]
   * Add "keyrings" vendor hook, used by dpkg-source to allow vendors to
     supply additional keyrings against which source package signatures will
     be verified. Implement this for Ubuntu. Closes: #525834
 .
   [ Updated dselect translations ]
   * German (Sven Joachim).
   * Swedish (Peter Krefting).
 .
   [ Updated scripts translations ]
   * French (Christian Perrier).
   * German (Helge Kreutzmann).
   * Swedish (Peter Krefting).
 .
   [ Added dpkg translations ]
   * Asturian (Marcos Alvarez Costales). Closes: #519478, #519813, #519998
   * Esperanto (Felipe Castro). Closes: #523023
 .
   [ Updated dpkg translations ]
   * French (Christian Perrier).
   * German (Sven Joachim).
   * Slovak (Ivan Masár). Closes: #519084
   * Swedish (Peter Krefting).
   * Russian (Yuri Kozlov). Closes: #526659
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 11b656fa6bb519db02fbcc62f9448d78924755bc 1210 dpkg_1.15.1.dsc
 ade2d62e93cc0241d9635209415519092fda8097 7042718 dpkg_1.15.1.tar.gz
 b39bccc1887816ec44c749f1c7171eff605574d1 2182456 dpkg_1.15.1_amd64.deb
 305db33aca055cf5feee2f6ed322a76894864512 667932 dselect_1.15.1_amd64.deb
 a59a21259bf76441f60606547289bc0c38626329 627414 dpkg-dev_1.15.1_all.deb
Checksums-Sha256: 
 f01840f4f58e53ea2773038e2805d3134d6b535ceaaa591c4d3c849262f660ff 1210 dpkg_1.15.1.dsc
 5d88e04046531583e0ecf3e89c9dd8e726ec73af8c37e9c1e334179f9d1f2744 7042718 dpkg_1.15.1.tar.gz
 73e528c12f82ff7105a2f85a48b2415e8c1b253813f3d34eb4edd4a9f914d0d2 2182456 dpkg_1.15.1_amd64.deb
 33061d25579431386df522b528ea0940ae9da404fb4d85cf1969bd4850a3295f 667932 dselect_1.15.1_amd64.deb
 6708a7ab535156547b18ecd05c927dc576215b96f903c45668654d38483ce269 627414 dpkg-dev_1.15.1_all.deb
Files: 
 b57f1a765212f573350dc0c92f94b249 1210 admin required dpkg_1.15.1.dsc
 135338e0a36ae45ff8675006874f4c6c 7042718 admin required dpkg_1.15.1.tar.gz
 86aaa898df539338530b0fcb3e8c62db 2182456 admin required dpkg_1.15.1_amd64.deb
 25f6563787a1e023194c22ffc810d60e 667932 admin optional dselect_1.15.1_amd64.deb
 1b8be073642ccc429f4ebc99a8f31291 627414 utils optional dpkg-dev_1.15.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoU33gACgkQuW9ciZ2SjJsElgCePY9whxGiB6sVmBNOixSX2nTt
WaAAniCapi6D7zIBzcFv8hrt7AWQQikk
=fkNW
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 21 May 2009 05:45:10 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Thu, 21 May 2009 05:45:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Jun 2009 07:41:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:23:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.